<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<div th:fragment="add-file-collapse-block">
    <a class="btn btn-primary" data-toggle="collapse" href="#add-file" role="button" aria-expanded="false" aria-controls="collapseExample">
        Add file
    </a>
    <div class = "collapse my-3" id="add-file">
        <div class="form-group">
            <form th:action="@{/add-file}" method="post" enctype="multipart/form-data">
                <div class="form-group">
                    <div class="custom-file">
                        <div class="col-sm-5">
                            <label class ="custom-file-label" for="attach-file-btn">Adding a file</label>
                            <input type="file" value="Attach file" id="attach-file-btn" th:value="${file}" name="file"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Send</button>
                </div>
            </form>
        </div>
    </div>
</div>